uicc.access

## Interface UICCConstants

-     public interface UICCConstants

  The UICCConstants interface hold all the constants defined in TS 102.221

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BER_TLV_ACC_MODE_FIRST` First Block = 0x80
    `static byte` | `BER_TLV_ACC_MODE_NEXT` Next Block = 0x00
    `static byte` | `ENHANCED_SEARCH` Enhanced search
    `static short` | `FID_DF_GRAPHICS` File identifier : DF Graphics = 0x5F50 (under DF TELECOM)
    `static short` | `FID_DF_TELECOM` File identifier : DF TELECOM = 0x7F10
    `static short` | `FID_EF_ADN` File identifier : EF ADN = 0x6F3A (under DF TELECOM)
    `static short` | `FID_EF_ARR` File identifier : Access Rule Reference EF_ARR = 0x2F06
    `static short` | `FID_EF_BDN` File identifier : EF BDN = 0x6F4D (under DF TELECOM)
    `static short` | `FID_EF_CCP` File identifier : EF CCP = 0x6F3D (under DF TELECOM)
    `static short` | `FID_EF_DIR` File identifier : Directory File EF_DIR = 0x2F00
    `static short` | `FID_EF_EXT1` File identifier : EF EXT1 = 0x6F4A (under DF TELECOM)
    `static short` | `FID_EF_EXT2` File identifier : EF EXT2 = 0x6F4B (under DF TELECOM)
    `static short` | `FID_EF_EXT3` File identifier : EF EXT3 = 0x6F4C (under DF TELECOM)
    `static short` | `FID_EF_EXT4` File identifier : EF EXT4 = 0x6F4E (under DF TELECOM)
    `static short` | `FID_EF_FDN` File identifier : EF FDN = 0x6F3B (under DF TELECOM)
    `static short` | `FID_EF_ICCID` File identifier : ICC Identification EF_ICCID = 0x2FE2
    `static short` | `FID_EF_IMG` File identifier : EF IMG = 0x4F20 (under DF Graphics)
    `static short` | `FID_EF_LND` File identifier : EF LND = 0x6F44 (under DF TELECOM)
    `static short` | `FID_EF_MSISDN` File identifier : EF MSISDN = 0x6F40 (under DF TELECOM)
    `static short` | `FID_EF_PL` File identifier : Preferred Languages EF_PL = 0x2F05
    `static short` | `FID_EF_SDN` File identifier : EF SDN = 0x6F49 (under DF TELECOM)
    `static short` | `FID_EF_SMS` File identifier : EF SMS = 0x6F3C (under DF TELECOM)
    `static short` | `FID_EF_SMSP` File identifier : EF SMSP = 0x6F42 (under DF TELECOM)
    `static short` | `FID_EF_SMSR` File identifier : EF SMSR = 0x6F47 (under DF TELECOM)
    `static short` | `FID_EF_SMSS` File identifier : EF SMSS = 0x6F43 (under DF TELECOM)
    `static byte` | `REC_ACC_MODE_ABSOLUTE` Record access mode: ABSOLUTE = 0x04
    `static byte` | `REC_ACC_MODE_CURRENT` Record access mode: CURRENT = 0x04
    `static byte` | `REC_ACC_MODE_NEXT` Record access mode: NEXT = 0x02
    `static byte` | `REC_ACC_MODE_PREVIOUS` Record access mode PREVIOUS = 0x03
    `static short` | `SEARCH_INDICATION_START_BACKWARD_FROM_PREVIOUS` Search mode indication backward starting from previous record
    `static short` | `SEARCH_INDICATION_START_BACKWARD_FROM_PREVIOUS_GR` Search mode indication backward starting at given record number
    `static short` | `SEARCH_INDICATION_START_FORWARD_FROM_NEXT` Search mode indication forward starting at next record
    `static short` | `SEARCH_INDICATION_START_FORWARD_FROM_NEXT_GR` Search mode indication forward starting at given record number
    `static byte` | `SIMPLE_SEARCH_START_BACKWARD` Search mode backward beginning at the given record number
    `static byte` | `SIMPLE_SEARCH_START_FORWARD` Search mode forward beginning at the given record number
    `static byte` | `TAG_FCP_FILE_AID` Tag in FCP TLV structure: DF name (AID) = 0x84
    `static byte` | `TAG_FCP_FILE_DESCRIPTOR` TAG in FCP TLV structure: File Descriptor = 0x82
    `static byte` | `TAG_FCP_FILE_IDENTIFIER` TAG in FCP TLV structure: File Identifier = 0x83
    `static byte` | `TAG_FCP_FILE_PROPRIETARY_INFO` Tag in FCP TLV structure: Proprietary information = 0xA5
    `static byte` | `TAG_FCP_FILE_SIZE` Tag in FCP TLV structure: File Size = 0x80
    `static byte` | `TAG_FCP_LCS_INTEGER` Tag in FCP TLV structure: Life Cycle Status Information = 0x8A
    `static byte` | `TAG_FCP_PIN_STATUS_TEMPLATE_DO` Tag in FCP TLV structure: PIN Status Template DO = 0xC6
    `static byte` | `TAG_FCP_SECURITY_ATTRIBUTE_CF` TAG in FCP TLV structure: Security attributes Compact Format = 0x8C
    `static byte` | `TAG_FCP_SECURITY_ATTRIBUTE_EF` TAG in FCP TLV structure: Security attributes Expanded Format = 0xAB
    `static byte` | `TAG_FCP_SECURITY_ATTRIBUTE_REF_EF` Deprecated. TAG in FCP TLV structure: Security attributes Ref. to Expanded Format = 0xAB Warning! The value of this constant is not in accordance with TS 102 221. The value of this tag as defined in TS 102 221 is 0x8B. The use of this constant may yield undesired results. Use constant TAG_FCP_SECURITY_ATTRIBUTE_REFERENCED_EF instead.
    `static byte` | `TAG_FCP_SECURITY_ATTRIBUTE_REFERENCED_EF` TAG in FCP TLV structure: Security attributes Referenced to Expanded Format = 0x8B
    `static byte` | `TAG_FCP_SHORT_FILE_IDENTIFIER` TAG in FCP TLV structure: Short File Identifier = 0x88
    `static byte` | `TAG_FCP_TOTAL_FILE_SIZE` Tag in FCP TLV structure: Total File Size = 0x81

- - ### Field Detail

    - #### FID_EF_DIR

          static final short FID_EF_DIR

      File identifier : Directory File EF_DIR = 0x2F00
      See Also:
        Constant Field Values

    - #### FID_EF_ICCID

          static final short FID_EF_ICCID

      File identifier : ICC Identification EF_ICCID = 0x2FE2
      See Also:
        Constant Field Values

    - #### FID_EF_ARR

          static final short FID_EF_ARR

      File identifier : Access Rule Reference EF_ARR = 0x2F06
      See Also:
        Constant Field Values

    - #### FID_EF_PL

          static final short FID_EF_PL

      File identifier : Preferred Languages EF_PL = 0x2F05
      See Also:
        Constant Field Values

    - #### FID_DF_TELECOM

          static final short FID_DF_TELECOM

      File identifier : DF TELECOM = 0x7F10
      See Also:
        Constant Field Values

    - #### FID_DF_GRAPHICS

          static final short FID_DF_GRAPHICS

      File identifier : DF Graphics = 0x5F50 (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_ADN

          static final short FID_EF_ADN

      File identifier : EF ADN = 0x6F3A (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_FDN

          static final short FID_EF_FDN

      File identifier : EF FDN = 0x6F3B (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_SMS

          static final short FID_EF_SMS

      File identifier : EF SMS = 0x6F3C (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_CCP

          static final short FID_EF_CCP

      File identifier : EF CCP = 0x6F3D (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_MSISDN

          static final short FID_EF_MSISDN

      File identifier : EF MSISDN = 0x6F40 (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_SMSP

          static final short FID_EF_SMSP

      File identifier : EF SMSP = 0x6F42 (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_SMSS

          static final short FID_EF_SMSS

      File identifier : EF SMSS = 0x6F43 (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_LND

          static final short FID_EF_LND

      File identifier : EF LND = 0x6F44 (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_SDN

          static final short FID_EF_SDN

      File identifier : EF SDN = 0x6F49 (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_EXT1

          static final short FID_EF_EXT1

      File identifier : EF EXT1 = 0x6F4A (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_EXT2

          static final short FID_EF_EXT2

      File identifier : EF EXT2 = 0x6F4B (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_EXT3

          static final short FID_EF_EXT3

      File identifier : EF EXT3 = 0x6F4C (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_BDN

          static final short FID_EF_BDN

      File identifier : EF BDN = 0x6F4D (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_EXT4

          static final short FID_EF_EXT4

      File identifier : EF EXT4 = 0x6F4E (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_SMSR

          static final short FID_EF_SMSR

      File identifier : EF SMSR = 0x6F47 (under DF TELECOM)
      See Also:
        Constant Field Values

    - #### FID_EF_IMG

          static final short FID_EF_IMG

      File identifier : EF IMG = 0x4F20 (under DF Graphics)
      See Also:
        Constant Field Values

    - #### SIMPLE_SEARCH_START_FORWARD

          static final byte SIMPLE_SEARCH_START_FORWARD

      Search mode forward beginning at the given record number
      See Also:
        Constant Field Values

    - #### SIMPLE_SEARCH_START_BACKWARD

          static final byte SIMPLE_SEARCH_START_BACKWARD

      Search mode backward beginning at the given record number
      See Also:
        Constant Field Values

    - #### ENHANCED_SEARCH

          static final byte ENHANCED_SEARCH

      Enhanced search
      See Also:
        Constant Field Values

    - #### SEARCH_INDICATION_START_FORWARD_FROM_NEXT_GR

          static final short SEARCH_INDICATION_START_FORWARD_FROM_NEXT_GR

      Search mode indication forward starting at given record number
      See Also:
        Constant Field Values

    - #### SEARCH_INDICATION_START_BACKWARD_FROM_PREVIOUS_GR

          static final short SEARCH_INDICATION_START_BACKWARD_FROM_PREVIOUS_GR

      Search mode indication backward starting at given record number
      See Also:
        Constant Field Values

    - #### SEARCH_INDICATION_START_FORWARD_FROM_NEXT

          static final short SEARCH_INDICATION_START_FORWARD_FROM_NEXT

      Search mode indication forward starting at next record
      See Also:
        Constant Field Values

    - #### SEARCH_INDICATION_START_BACKWARD_FROM_PREVIOUS

          static final short SEARCH_INDICATION_START_BACKWARD_FROM_PREVIOUS

      Search mode indication backward starting from previous record
      See Also:
        Constant Field Values

    - #### REC_ACC_MODE_CURRENT

          static final byte REC_ACC_MODE_CURRENT

      Record access mode: CURRENT = 0x04
      See Also:
        Constant Field Values

    - #### REC_ACC_MODE_ABSOLUTE

          static final byte REC_ACC_MODE_ABSOLUTE

      Record access mode: ABSOLUTE = 0x04
      See Also:
        Constant Field Values

    - #### REC_ACC_MODE_NEXT

          static final byte REC_ACC_MODE_NEXT

      Record access mode: NEXT = 0x02
      See Also:
        Constant Field Values

    - #### REC_ACC_MODE_PREVIOUS

          static final byte REC_ACC_MODE_PREVIOUS

      Record access mode PREVIOUS = 0x03
      See Also:
        Constant Field Values

    - #### BER_TLV_ACC_MODE_FIRST

          static final byte BER_TLV_ACC_MODE_FIRST

      First Block = 0x80
      See Also:
        Constant Field Values

    - #### BER_TLV_ACC_MODE_NEXT

          static final byte BER_TLV_ACC_MODE_NEXT

      Next Block = 0x00
      See Also:
        Constant Field Values

    - #### TAG_FCP_FILE_DESCRIPTOR

          static final byte TAG_FCP_FILE_DESCRIPTOR

      TAG in FCP TLV structure: File Descriptor = 0x82
      See Also:
        Constant Field Values

    - #### TAG_FCP_FILE_IDENTIFIER

          static final byte TAG_FCP_FILE_IDENTIFIER

      TAG in FCP TLV structure: File Identifier = 0x83
      See Also:
        Constant Field Values

    - #### TAG_FCP_FILE_AID

          static final byte TAG_FCP_FILE_AID

      Tag in FCP TLV structure: DF name (AID) = 0x84
      See Also:
        Constant Field Values

    - #### TAG_FCP_FILE_PROPRIETARY_INFO

          static final byte TAG_FCP_FILE_PROPRIETARY_INFO

      Tag in FCP TLV structure: Proprietary information = 0xA5
      See Also:
        Constant Field Values

    - #### TAG_FCP_LCS_INTEGER

          static final byte TAG_FCP_LCS_INTEGER

      Tag in FCP TLV structure: Life Cycle Status Information = 0x8A
      See Also:
        Constant Field Values

    - #### TAG_FCP_PIN_STATUS_TEMPLATE_DO

          static final byte TAG_FCP_PIN_STATUS_TEMPLATE_DO

      Tag in FCP TLV structure: PIN Status Template DO = 0xC6
      See Also:
        Constant Field Values

    - #### TAG_FCP_FILE_SIZE

          static final byte TAG_FCP_FILE_SIZE

      Tag in FCP TLV structure: File Size = 0x80
      See Also:
        Constant Field Values

    - #### TAG_FCP_TOTAL_FILE_SIZE

          static final byte TAG_FCP_TOTAL_FILE_SIZE

      Tag in FCP TLV structure: Total File Size = 0x81
      See Also:
        Constant Field Values

    - #### TAG_FCP_SHORT_FILE_IDENTIFIER

          static final byte TAG_FCP_SHORT_FILE_IDENTIFIER

      TAG in FCP TLV structure: Short File Identifier = 0x88
      See Also:
        Constant Field Values

    - #### TAG_FCP_SECURITY_ATTRIBUTE_CF

          static final byte TAG_FCP_SECURITY_ATTRIBUTE_CF

      TAG in FCP TLV structure: Security attributes Compact Format = 0x8C
      See Also:
        Constant Field Values

    - #### TAG_FCP_SECURITY_ATTRIBUTE_EF

          static final byte TAG_FCP_SECURITY_ATTRIBUTE_EF

      TAG in FCP TLV structure: Security attributes Expanded Format = 0xAB
      See Also:
        Constant Field Values

    - #### TAG_FCP_SECURITY_ATTRIBUTE_REF_EF

          static final byte TAG_FCP_SECURITY_ATTRIBUTE_REF_EF

      Deprecated. TAG in FCP TLV structure: Security attributes Ref. to Expanded Format = 0xAB Warning! The value of this constant is not in accordance with TS 102 221. The value of this tag as defined in TS 102 221 is 0x8B. The use of this constant may yield undesired results. Use constant TAG_FCP_SECURITY_ATTRIBUTE_REFERENCED_EF instead.
      See Also:
        Constant Field Values

    - #### TAG_FCP_SECURITY_ATTRIBUTE_REFERENCED_EF

          static final byte TAG_FCP_SECURITY_ATTRIBUTE_REFERENCED_EF

      TAG in FCP TLV structure: Security attributes Referenced to Expanded Format = 0x8B
      See Also:
        Constant Field Values

Copyright © 2017 ETSI All Rights Reserved.